<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Promise</title>
</head>

<body>
    <h1>Promise</h1>
    <script>
        function handler(resolve, reject) {
            setTimeout(function () {
                let number = Math.random() * 10;
                if (number > 5) {
                    resolve('Il numero è maggiore di 5');
                } else {
                    reject('Il numero è <= 5')
                }
            }, 1000)
        }

        let promise1 = new Promise(handler);

        promise1.then(function(value){ 
            console.log(value);
            return value;
        })
        .catch(function(value){
            console.log('primo catch', value);
            throw new Error('errore!');
        })
        .catch(function(val){
            console.log('secondo catch', val);
        })

        console.log('Siamo alla fine dello script');
    </script>

</body>

</html>